Feeds:
Posts
Comments

Posts Tagged ‘1.4.1’

You have to wonder if it would have been worth waiting until the beginning of next month, when Rifts first month is over. However it’s not and it’s my job to make the best use of it. Well I would be, but I am stuck reconfiguring armour (The new Worn armour) and RA abilities on my RP.

I have the spreadsheet open and I’m just jotting down the stats for each armour piece and working out the overall benefit. Before spending a lot of money on this new armour. All very nice.

So I hope to get on within the next 45 mins and actually start playing with the new patch. Maybe get a feel for the performance changes and how the numbers on the server are this week.

So hopefully I will see some of you, but if the number of active warhammer blogs is anything to go by, then probably not.

Advertisements

Read Full Post »

I finally “Got It” this morning, after a night of simmering annoyance and rereading the patch notes. Sometimes it would be nice if certain changes came with an instruction manual, as to the whys and wherefores. A single line can cover quite significant changes. I’d just like to point out, I’m not a bloody mushroom.

(more…)

Read Full Post »

Armour Changes In 1.4.1

Okay I’m a bit confused/angry by the purpose of the changes and the need to insert a new armour set between Warlord and Sovereign. These are the new RR’s for armour, bar the new set “Worn”:-

The Renown Rank and level requirements for several item sets have been reduced to allow players to use them sooner in their careers. This applies to the following sets: Annihilator, Conqueror, Invader, and Warlord.

o Annihilator – Level 25 to use, equipable at renown ranks 25-29

o Conqueror – Level 35 to use, equipable at renown ranks 30-35

o Invader – Level 39 to use, equipable at renown ranks 40-45

o Warlord – Level 40 to use, equipable at renown ranks 54-60

(more…)

Read Full Post »

Go here and please indulge yourself.

(more…)

Read Full Post »